Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.red5.server.api
Interface ICastingAttributeStore

All Superinterfaces:
  AttributeStoreMBean, IAttributeStore

All Known Subinterfaces:
  IBasicScope, IBroadcastScope, IClientSharedObject, IConnection, ICoreObject, IGlobalScope, IRemotingConnection, IScope, IServiceCapableConnection, ISharedObject, ISharedObjectBase, IStreamCapableConnection

All Known Implementing Classes:
  AttributeStore, BaseConnection, BaseRTMPTConnection, BasicScope, BroadcastScope, Client, ClientSharedObject, EdgeRTMPMinaConnection, GlobalScope, PersistableAttributeStore, RemotingConnection, RTMPConnection, RTMPMinaConnection, RTMPOriginConnection, RTMPTClientConnection, RTMPTConnection, Scope, SharedObject, SharedObjectScope, WebScope

    public interface ICastingAttributeStore

extends IAttributeStore

Attribute storage with automatic object casting support.

Author:
  The Red5 Project (red5@osflash.org), Joachim Bauch (jojo@struktur.de)

Method Summary
`Boolean` | `getBoolAttribute(String name)` Get Boolean attribute by name
`Byte` | `getByteAttribute(String name)` Get Byte attribute by name
`Double` | `getDoubleAttribute(String name)` Get Double attribute by name
`Integer` | `getIntAttribute(String name)` Get Integer attribute by name
`List<?>` | `getListAttribute(String name)` Get List attribute by name
`Long` | `getLongAttribute(String name)` Get boolean attribute by name
`Map<?,?>` | `getMapAttribute(String name)` Get Long attribute by name
`Set<?>` | `getSetAttribute(String name)` Get Set attribute by name
`Short` | `getShortAttribute(String name)` Get Short attribute by name
`String` | `getStringAttribute(String name)` Get String attribute by name

Methods inherited from interface org.red5.server.api.IAttributeStore
`getAttribute, getAttribute, getAttributeNames, getAttributes, hasAttribute, removeAttribute, removeAttributes, setAttribute, setAttributes, setAttributes`

Method Detail

### getBoolAttribute

    Boolean getBoolAttribute(String name)

  Get Boolean attribute by name

  Parameters:
    `name` - Attribute name
  Returns:
    Attribute

### getByteAttribute

    Byte getByteAttribute(String name)

  Get Byte attribute by name

  Parameters:
    `name` - Attribute name
  Returns:
    Attribute

### getDoubleAttribute

    Double getDoubleAttribute(String name)

  Get Double attribute by name

  Parameters:
    `name` - Attribute name
  Returns:
    Attribute

### getIntAttribute

    Integer getIntAttribute(String name)

  Get Integer attribute by name

  Parameters:
    `name` - Attribute name
  Returns:
    Attribute

### getListAttribute

    List<?> getListAttribute(String name)

  Get List attribute by name

  Parameters:
    `name` - Attribute name
  Returns:
    Attribute

### getLongAttribute

    Long getLongAttribute(String name)

  Get boolean attribute by name

  Parameters:
    `name` - Attribute name
  Returns:
    Attribute

### getMapAttribute

    Map<?,?> getMapAttribute(String name)

  Get Long attribute by name

  Parameters:
    `name` - Attribute name
  Returns:
    Attribute

### getSetAttribute

    Set<?> getSetAttribute(String name)

  Get Set attribute by name

  Parameters:
    `name` - Attribute name
  Returns:
    Attribute

### getShortAttribute

    Short getShortAttribute(String name)

  Get Short attribute by name

  Parameters:
    `name` - Attribute name
  Returns:
    Attribute

### getStringAttribute

    String getStringAttribute(String name)

  Get String attribute by name

  Parameters:
    `name` - Attribute name
  Returns:
    Attribute

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2010 The Red5 Project